<script src="http://code.jquery.com/jquery-1.8.2.js"></script>
<script src="http://code.jquery.com/ui/1.9.1/jquery-ui.js"></script>

<script language="javascript">
    //<![CDATA[

    (function( $ ){

        $(document).ready(function() {

            $('#picpartssearch').find('select').change(function() {

                var $form = $(this).parents('form');
                var $currentId = $(this).attr('id');
                var $id = parseInt($(this).data('id'));
                var $nextId = $id+1;
                var $selectedVal = $(this).val();
                var $reloadUrl = $('#search-parts').find('#ajax-url').val();
                var $data = $form.serialize();
                $data += '&selected='+$currentId;
                if ($id >= 2 || $id == 2 && $selectedVal) {
                    $form.find('.validation').removeClass('hidden-xs');
                    $form.find('input[type="submit"]').removeAttr('disabled');
                }

                var j = $nextId;
                for (j; j <= 3; j++) {
                    var $target = $form.find('select[data-id=' + j + ']');
                    $target.attr('disabled', 'disabled');
                    $target.children('option').each(function (i, e) {
                        if (!$(e).hasClass('default'))
                            $(e).remove();
                    });
                    $target.parents('.form-group').addClass('hidden-xs');
                }

                if ($selectedVal && $id !=3)
                {
                    $.ajax({
                        url: $reloadUrl,
                        type: 'POST',
                        dataType: 'JSON',
                        data: $data,
                        success: function(response) {

                            var $target = $form.find('select[data-id='+$nextId+']');
                            $target.removeAttr('disabled');
                            $target.children('option').each(function(i, e) {
                                if (!$(e).hasClass('default'))
                                    $(e).remove();

                            });
                            response.vehicules.each(function(obj) {
                                $target.append("<option value='"+obj.value+"'>"+obj.libelle+"</option>");
                            });
                            $target.parents('.form-group').removeClass('hidden-xs');
                        }
                    });
                }
            })
        });
    })(jQuery);

    //]]>
</script>
<div id="picpartssearch">

    <div id="tabs">
        <ul>
            <li>
                <a href="#partsearch">PART SEARCH</a>
            </li>
            <li>
                <a href="#carsearch">CAR SEARCH</a>
            </li>
            <li>
                <a href="#partnumber">PART NUMBER</a>
            </li>
        </ul>

        <?php $makes = Mage::helper('partsfinder/vehicules')->getMakes() ?>

        <div id="partsearch">
            <form id="search-parts" class="searchparts" action="<?php echo $this->helper('catalogsearch')->getResultUrl() ?>">
                <input type="hidden" id="ajax-url" name="ajax-url" value="/index.php/partsfinder/ajax/autoload" />
                <div class ="select-group">
                    <label><?php echo $this->__('Make'); ?></label>
                    <select id="select-marque" class="form-control" name="marque" data-id="1">
                        <option value="" class="default"></option>
                        <?php foreach($makes as $marque): ?>
                            <option value="<?php echo $marque?>"><?php echo ucfirst(strtolower($marque))?></option>
                        <?php endforeach ?>
                    </select>
                </div>
                <div class ="select-group">
                    <label><?php echo $this->__('Model'); ?></label>
                    <select id="select-model" class="form-control" name="model" data-id="2" disabled="disabled">
                        <option value="" class="default"></option>
                    </select>
                </div>
                <div class ="select-group">
                    <label><?php echo $this->__('Year'); ?></label>
                    <select id="select-year" class="form-control" name="annee_fabrication" data-id="3" disabled="disabled">
                        <option value="" class="default"></option>
                    </select>
                </div>
                <?php $categoriesArray = Mage::helper('partsfinder')->getCategories(); ?>
                <div class ="select-group">
                    <label><?php echo $this->__('Part type'); ?></label>
                    <select id="select-typePiece" class="form-control" name="category" data-id="4">
                        <?php foreach($categoriesArray as $category): ?>
                            <option value="<?php echo $category["id"] ?>"><?php echo $category["name"] ?></option>
                        <?php endforeach ?>
                    </select>
                </div>
                <div class ="select-group">
                    <input class="search-submit" type="submit" data-id="6" value="SEARCH" />
                </div>
            </form>
        </div>
        <div id="carsearch">
            <form id="search-car" method="post" action="<?php echo $this->helper('catalogsearch')->getResultUrl() ?>">
                <input type="hidden" id="ajax-url" name="ajax-url" value="/index.php/partsfinder/ajax/autoload" />
                <div class ="select-group">
                    <label><?php echo $this->__('Make'); ?></label>
                    <select id="select-marque" class="form-control" name="marque" data-id="1">
                        <option value="" class="default"></option>
                        <?php foreach($makes as $marque): ?>
                            <option value="<?php echo $marque?>"><?php echo ucfirst(strtolower($marque))?></option>
                        <?php endforeach ?>
                    </select>
                </div>
                <div class ="select-group">
                    <label><?php echo $this->__('Model'); ?></label>
                    <select id="select-model" class="form-control" name="model" data-id="2">
                        <option value="" class="default"></option>
                    </select>
                </div>
                <div class ="select-group">
                    <label><?php echo $this->__('Year'); ?></label>
                    <select id="select-year" class="form-control" name="annee_fabrication" data-id="3" disabled="disabled">
                        <option value="" class="default"></option>
                    </select>
                </div>
                <div class ="select-group">
                    <input  class="search-submit" type="submit" data-id="6" value="SEARCH" disabled="disabled" />
                </div>
            </form>
        </div>
        <div id="partnumber">
            <form id="search-partnumber" method="post" action="<?php echo $this->helper('catalogsearch')->getResultUrl() ?>">
                <div class ="select-group">
                    <label><?php echo $this->__('part Number'); ?></label>
                    <input type="text"  style="background-color: #FFFFFF;padding: 0px 0px; line-height: 10px;" class="form-control" name="partnumber" id="partnumber">
                </div>
                <div class ="select-group">
                    <input class="search-submit" type="submit" data-id="6" value="SEARCH"  />
                </div>
            </form>
        </div>
    </div>
</div>
</div>
<script language="javascript">
    $('#tabs')
        .tabs()
        .addClass('ui-tabs-vertical ui-helper-clearfix');
</script>





